HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Get a specific floor and location of all its rogue access points

Path Params
string
required

Provide floor_id returned by /visualrf_api/v1/building/{building_id api. Example: /visualrf_api/v1/floor/201610193176__39295d71-fac8-4837-8a91-c1798b51a2ad

Query Params
integer
Defaults to 0

used as a page number when working with paginated results, with the first page being at offset 0 and last page at Math.ceil(total_items/limit)-1.

For example: Assuming you have a collection of 100 items, and you want to retrieve them in batches of 20 items per page. Here's how you can use limit and offset in your API request:

Example 1: Retrieve the first page of items
API Request: GET with limit=20&offset=0
API Response: Returns the first 20 items in the collection.

Example 2: Retrieve the second page of items
API Request: GET with limit=20&offset=1
API Response: Returns the next 20 items in the collection, starting from item 21 to item 40.

Example 3: Retrieve the sixth page of items
API Request: GET with limit=20&offset=5
API Response: Returns an empty response, as there are no items available from item 101 to item 120 in the collection.

integer
≤ 100
Defaults to 100

specifies the maximum number of items per page. Default 100, Max 100.

string
enum
Defaults to FEET

METERS or FEET

Allowed:
Responses

401

Unauthorized access. Authentication failed or was not provided.

403

Access Denied

404

The requested entity was not found.

429

API Rate limit exceeded

500

Internal Server Error - Redis connection failure

default

Unexpected error

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json